Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_tcp_echo_cli.cfg
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_tcp_echo_cli.cfg	(revision 321)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_tcp_echo_cli.cfg	(revision 331)
@@ -2,5 +2,5 @@
  *  TINET (TCP/IP Protocol Stack)
  * 
- *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
+ *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
  *
@@ -43,6 +43,124 @@
 /* TCP 通信端点 */
 
+#ifdef SUPPORT_INET6
+
+#ifdef USE_TCP_NON_BLOCKING
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#else	/* of #ifdef USE_TCP_NON_BLOCKING */
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#endif	/* of #ifdef USE_TCP_NON_BLOCKING */
+
 #ifdef SUPPORT_INET4
 
+#ifdef USE_TCP4_ECHO_CLI
+
 #ifdef USE_TCP_NON_BLOCKING
 
@@ -51,42 +169,42 @@
 #if defined(TCP_CFG_RWBUF_CSAVE)
 
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	tcp_echo_cli_rwbuf,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	tcp_echo_cli_swbuf,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
 	0,
 	tcp_echo_cli_swbuf,
@@ -107,42 +225,42 @@
 #if defined(TCP_CFG_RWBUF_CSAVE)
 
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	tcp_echo_cli_rwbuf,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	tcp_echo_cli_swbuf,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP4_ECHO_CLI_CEPID, {
 	0,
 	tcp_echo_cli_swbuf,
@@ -159,7 +277,11 @@
 #endif	/* of #ifdef USE_TCP_NON_BLOCKING */
 
+#endif	/* of #ifdef USE_TCP4_ECHO_CLI */
+
 #endif	/* of #ifdef SUPPORT_INET4 */
 
-#ifdef SUPPORT_INET6
+#else	/* of #ifdef SUPPORT_INET6 */
+
+#ifdef SUPPORT_INET4
 
 #ifdef USE_TCP_NON_BLOCKING
@@ -169,42 +291,42 @@
 #if defined(TCP_CFG_RWBUF_CSAVE)
 
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	tcp_echo_cli_rwbuf,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	tcp_echo_cli_swbuf,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	callback_nblk_tcp_echo_cli
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	callback_nblk_tcp_echo_cli
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
 	0,
 	tcp_echo_cli_swbuf,
@@ -225,42 +347,42 @@
 #if defined(TCP_CFG_RWBUF_CSAVE)
 
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	NADR,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	tcp_echo_cli_rwbuf,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
-	0,
-	tcp_echo_cli_swbuf,
-	TCP_ECHO_CLI_SWBUF_SIZE,
-	NADR,
-	TCP_ECHO_CLI_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	NADR,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	tcp_echo_cli_rwbuf,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
+	0,
+	tcp_echo_cli_swbuf,
+	TCP_ECHO_CLI_SWBUF_SIZE,
+	NADR,
+	TCP_ECHO_CLI_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (TCP_ECHO_CLI_CEPID, {
 	0,
 	tcp_echo_cli_swbuf,
@@ -277,4 +399,6 @@
 #endif	/* of #ifdef USE_TCP_NON_BLOCKING */
 
+#endif	/* of #ifdef SUPPORT_INET4 */
+
 #endif	/* of #ifdef SUPPORT_INET6 */
 
